Skip to content

Retrieve Webhook Actions

GET
https://mapi.storyblok.com/v1/spaces/:space_id/webhook_endpoints/allowed_actions

Returns the list of event actions that can be subscribed to when creating or updating a webhook endpoint.

  • :space_id required number

    Numeric ID of a space

  • allowed_actions object[]

    An array of allowed action objects, each containing an action string that identifies the webhook event (for example, story.published). Find all available triggers in the actions table.

curl "https://mapi.storyblok.com/v1/spaces/288868932106293/webhook_endpoints/allowed_actions" \
-H "Authorization: YOUR_OAUTH_TOKEN"

Was this page helpful?

What went wrong?

This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window) . Terms of Service (opens in a new window) apply.